%define ver_major 2.26
%define _libexecdir /usr/libexec

Name: gnome-session
Version: %ver_major.2
Release: alt5

Summary: The gnome session programs for the GNOME GUI desktop environment
License: GPLv2+
Group: Graphical desktop/GNOME
URL: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-nautilus.png
Source2: gnome.svg
Patch: %name-2.26.2-alt-splash.patch

Patch100: 13fe15fc1ef8a08874ff7c61f1944ae55b0111ce.patch 

Conflicts: gnome-core <= 2.10.0
Conflicts: gdm <= 2.20.3-alt1

# From configure.in
%define glib_ver 2.16.0
%define gtk_ver 2.11.1
%define dbus_glib_ver 0.76
%define glade_ver 2.3.6
%define polkit_ver 0.7

PreReq: GConf2 GConf-sanity-check
PreReq: xinitrc

Requires: GConf-sanity-check
# gnome-session-splash is provided by design-graphics package
Requires: gnome-session-splash xsetroot
# These are needed by the startgnome2 script
Requires: gstreamer dbus-tools-gui
Requires: gnome-filesystem gnome-wm
# This is because since 2.15 gnome-session and
# gnome-control-center/gnome-settings-daemon use DBus instead of Bonobo.
Requires: gnome-settings-daemon >= 2.15.90

BuildPreReq: rpm-build-gnome >= 0.5
BuildPreReq: gnome-common

# From configure.in
BuildPreReq: intltool >= 0.35.0 libGConf-devel
BuildPreReq: libgio-devel glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-desktop-devel
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: gnome-settings-daemon-devel
BuildPreReq: libglade-devel >= %glade_ver
BuildPreReq: libPolicyKit-gnome-devel >= %polkit_ver
BuildPreReq: libX11-devel libXau-devel libXrandr-devel libXrender-devel libXt-devel
BuildPreReq: libSM-devel libXext-devel libXtst-devel xorg-inputproto-devel

BuildRequires: gcc-c++
BuildRequires: GConf2 browser-plugins-npapi-devel perl-XML-Parser
BuildRequires: libpaper libstartup-notification-devel xorg-cf-files xorg-xtrans-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

This package provides tools for the the gnome desktop.

%prep
%setup -q
%patch
%patch100 -p1

%build
%configure PATH=$PATH:/sbin \
    --disable-schemas-install \
    --with-at-spi-registryd-directory=%_libexecdir

%make_build

%install
%make_install install DESTDIR=%buildroot

cat <<__START_GNOME__ >startgnome2
#!/bin/sh

# turn on fonts antialiasing
export GDK_USE_XFT=1

# set default browser to whatever GNOME user likes
export BROWSER=gnome-open

# tell restored browsers where plugins are
export MOZ_PLUGIN_PATH="\${MOZ_PLUGIN_PATH:+"\$MOZ_PLUGIN_PATH:"}\${HOME:+"\$HOME/.mozilla/plugins:"}%_libdir/mozilla/plugins:%_libdir/netscape/plugins:%browser_plugins_path"

export HELP_BROWSER=yelp
# use prefixed .menu files
export XDG_MENU_PREFIX="gnome-"

exec %_bindir/gnome-session "\$@"
__START_GNOME__

install -pD -m755 startgnome2 %buildroot%_bindir/startgnome2

mkdir -p %buildroot%_sysconfdir/X11/wmsession.d/
cat << __EOF__ > %buildroot%_sysconfdir/X11/wmsession.d/02Gnome2
NAME=Gnome
ICON=%_iconsdir/gnome.svg
DESC=Gnome 2 Environment
EXEC=%_bindir/startgnome2
SCRIPT:
exec %_bindir/startgnome2
__EOF__

install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/gnome-nautilus.png
install -pD -m644 %SOURCE2 %buildroot%_iconsdir/gnome.svg

%find_lang --with-gnome %name-2.0

# custom splash
ln -sf %_datadir/design %buildroot%_pixmapsdir/design

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name-2.0.lang
%_bindir/*
%_desktopdir/*.desktop
%dir %_libdir/gnome-session
%dir %_libdir/gnome-session/helpers
%_libdir/gnome-session/helpers/at-spi-registryd-wrapper
%_libdir/gnome-session/helpers/gnome-session-splash
%_libdir/gnome-session/helpers/gnome-settings-daemon-helper
%dir %_datadir/gnome-session
%_datadir/gnome-session/*.glade
%_sysconfdir/xdg/autostart/at-spi-registryd-wrapper.desktop
%_sysconfdir/xdg/autostart/gnome-settings-daemon-helper.desktop
%_datadir/gnome/autostart/gnome-session-splash.desktop
%_pixmapsdir/*
%_iconsdir/gnome.svg
%_iconsdir/hicolor/*/apps/session-properties.*
%_pixmapsdir/design
%config %_sysconfdir/X11/wmsession.d/*Gnome*
%config %gconf_schemasdir/%name.schemas
%_mandir/man?/*
%doc AUTHORS ChangeLog NEWS README

%exclude %_datadir/xsessions/gnome.desktop
%exclude %_bindir/gnome-wm

%changelog
* Tue Sep 29 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt5
- rebuild with new %%browser_plugins_path

* Sat Sep 26 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt4
- splash screen enabled by default

* Fri Sep 11 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt3
- fixed http://bugzilla.gnome.org/show_bug.cgi?id=583345
  (patch100 from git), (ALT #20192)

* Thu Jul 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt2
- set XDG_MENU_PREFIX variable to "gnome-" in startgnome2 (closes #20852)

* Wed Jul 01 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Fri May 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt2
- not packaged /usr/share/xsessions/gnome.desktop

* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Wed Apr 08 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0.90-alt1
- new version

* Tue Mar 31 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt2
- told where at-spi-registryd is

* Tue Mar 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Wed Mar 04 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92

* Tue Feb 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.91-alt1
- 2.25.91

* Fri Jan 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.5-alt1
- 2.25.5
- updated buildreqs

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Thu Dec 11 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt2
- requires GConf-sanity-check

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %%{update,clean}_wms from %%post* scripts
- drop upstreamed patches
- don't package useless gnome-wm
- conflicts with old gdm (altbug #16911)

* Fri Oct 31 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- fix gnome bug #536915 (patch0)
- fix altbug #12333
- updated buildreqs

* Wed Oct 22 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Sun Sep 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- drop obsoleted 2.13.4-no-crashes.patch
- Fedora's patches (5,6)

* Mon Jun 30 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version (2.22.3)

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version (2.22.2)

* Sat May 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1.1-alt1
- new version (2.22.1.1)

* Tue Apr 08 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.1-alt1
- new version (2.22.1)

* Sat Mar 29 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Mon Dec 10 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.2-alt2
- Moved autostart directory from gnome-session to gnome-filesystem.
- Updated buildreqs.

* Tue Dec 04 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.2-alt1
- new version (2.20.2)

* Fri Nov 23 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- new version (2.20.1)
- add Packager

* Mon Aug 13 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt4
- fixed Bug #12333 (thanks to raorn@ for gnome-wm script).
- use more macros

* Fri Jul 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt3
- fixed building on x86_64

* Fri Jul 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt2
- removed dbus-launch from startgnome2 script - the session bus is already
  launched at the start of X session (see dbus-tools-gui package).

* Wed Jul 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.3-alt1
- new version (2.18.3)
- BROWSER is now always set to gnome-open in /usr/bin/startgnome2, so that the
  preferred browser is always used no matter how invoked
- WINDOW_MANAGER is no more initialized in /usr/bin/startgnome2,
  /usr/bin/gnome-wm can choose a proper window manager without hints
- temporarily removed splash-screen customization, since there is no GNOME
  artworks in the version 4.0 of design-graphics-desktop package
- updated dependencies and files list

* Wed Oct 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt3
- added dependency on dbus-tools-gui (for dbus-launch).

* Wed Sep 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- fixed various problems with applying settings (incl. themes) in GNOME,
  due to DBus session unlaunched or launched improperly.

* Sun Sep 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- added /usr/share/gnome/autostart directory.

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt3
- add dependency on gnome-control-center >= 2.15.90 due to transtion from Bonobo to DBus.

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt2
- rebuilt with new gstreamer.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version (2.15.92)

* Fri Aug 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies
- spec cleanup

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sun Feb 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version
- Fixed Bug #8442.
- don't flip the cursor in startgnome2 script.

* Tue Feb 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.12.0-alt1.1
- Rebuild with libgnomeui which has been fixed up for modular Xorg
- Correct xsetroot path since it was moved to /usr/bin
- Removed Debian-style menu
- Buildreq

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.91-alt1
- 2.11.91

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.91-alt1
- 2.7.91

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt3
- Another fix gnome-splash location.

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fix gnome-splash location.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.2-alt1
- 2.3.6.2

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- Epiphany is a default BROWSER.
- Requires gnome-wm.

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- Changed reboot-command to %_bindir/reboot and halt-command
  to %_bindir/poweroff (slava). Requires SysVinit-usermode to use.
  Close ## 2106, 1506

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt2
- export BROWSER=galeon

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- Built with new libwrap.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.3
- remove pixmaps into design package (this package must provides
  "gnome-session-splash")

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1.2
- Fonts antialiasing turned on by default.
- Metacity is a default window manager.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.1
- update buildreq to remove rsh

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7
- Metacity added to requires list.

* Sat Jun 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- New release
- gnome-session-2.0.1-splash.patch
- Fix from Yuri Sedunov <aris@altlinux.ru>
	+ Added Gnome2.xpm
	+ Replace command by macros
	+ cleanup spec
	+ clean_wms run in postun
	
* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.5.19-blk1
- New version from CVS

* Mon May 13 2002 Igor Androsov <blace@mail.ru> 1.5.18-blk1
- Changes for AltLinux
- cleanup spec
- Added wmsession and script

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
